body {
    font-family: arial, helvetica, sans-serif;
    font-size: 15px;
    margin: 0px 0px 0px 0px;
    background-color: white;
}

div.menubar {
    background-color: #f0f0f8;
}

div.body {
    margin-left: 4px;
    margin-top: 4px;
}

.menu {
    font-size: 90%;
    text-align: right;
}

.h1 {
    padding: 5px;
    margin: 0;
    font-weight: bold;
    font-size: 120%;
    text-align: left;
    vertical-align: middle;
}

h1 {
    font-size: 100%;
}

h2 {
    font-size: 90%;
}

h3 {
    font-size: 80%;
}

h4 {
    font-size: 70%;
}

.top_border {
    border-top: 1px solid black;
}

.bottom_border {
    border-bottom: 1px solid black;
}

.right_border {
    border-right: 1px solid black;
}

.left_border {
    border-left: 1px solid black;
}

dt {
    font-size: 90%;
    font-weight: bold;
    margin-left: 2em;
    margin-top: 0.5ex;
}

dd {
    font-size: 85%;
    margin-bottom: 1ex;
}

#legendTable {
    empty-cells: show;
}

#legendTable .sym {
    min-width: 20px;
}

#legendTable td {
    border-bottom: 1px solid black;
}

table.shaded {
    background-color: #f0f0f8;
    border: 1px solid black;
    border-collapse: collapse;
}

#main_stats .val {
    text-align: right;
}

#title {
    text-align: center;
    font-weight: bold;
}

th {
    font-size: 11px;
    padding: 3px;
}

td {
    font-size: 11px;
    padding: 3px;
}

th.left {
    font-size: 11px;
    padding: 3px;
}

td.left {
    font-size: 11px;
    padding: 3px;
}

th.total {
    font-size: 11px;
    padding: 3px;
    background-color: #f0f0f8;
}

td.total {
    font-size: 11px;
    padding: 3px;
    background-color: #f0f0f8;
}

table.stat {
    border: 1px solid black;
    border-collapse: collapse;
}

.stat th {
    border-bottom: 1px solid;
}

tr.stat {
    vertical-align: bottom;
}

.stat .year {
    background-color: #e0e0f0;
    text-align: right;
}

.stat .even_month {
    background-color: #f8f8ff;
    text-align: right;
    min-width: 3em;
}

.stat .odd_month {
    background-color: #f0f0f8;
    text-align: right;
    min-width: 3em;
}

.stat .total {
    background-color: #e0e0f0;
    text-align: right;
}

#check_table_header {
    font-size: 70%;
}

table.check {
    border: 1px solid gray;
    border-collapse: collapse;
}

.check tr {
    border-bottom: 1px solid gray;
}

.check .title {
    font-weight: bold;
    background-color: #e0e0f0;
    text-align: right;
}

.check .value {
    text-align: right;
    min-width: 10ex;
}

.use {
    color: red;
}

.gen {
    color: green;
}

.net {
    color: black;
}

#footnotes {
    font-size: 11px;
}

address {
    font-size: 10px;
    text-align: center;
    background-color: #f0f0f8;
}

.pointer {
    cursor: pointer;
}

.summary_link {
    color: inherit;
    text-decoration: none;
    cursor: pointer;
}

.link {
    color: blue;
    text-decoration: underline;
    cursor: pointer;
}

.status_indicator {
    vertical-align: middle;
}

.removeButton {
    vertical-align: middle;
}

#HomePlugTable {
    border-collapse: collapse;
}

#tableHomePlug tr {
    border: 1px solid black;
}

#HomePlugTable .mac {
    font-family: courier;
    font-size: 90%;
}

#HomePlugTable .speed {
    font-family: courier;
    text-align: right;
    font-size: 90%;
}

#HomePlugPW, #HomePlugTable td input {
    font-family: courier;
    border: 1px solid #808080;
}

#CTtable, #PTtable {
    border-right: 1px solid black;
}

table.collapsed  {
    border-collapse: collapse;
}

#regsDiv th.left {
    text-align: left;
}

.name {
    font-weight: bold;
    border-left: 1px solid black;
    border-top: 1px solid black;
    border-bottom: 1px solid black;
    white-space: nowrap;
}

.formula {
    border-top: 1px solid black;
    border-bottom: 1px solid black;
    white-space: nowrap;
}

.button {
    border-left: 1px solid black;
    border-top: none;
    border-bottom: none;
}

.popup_menu {
    border: 1px solid black;
    background-color: white;
    -moz-box-shadow: 5px;
    -webkit-box-shadow: 5px;
    box-shadow: 3px 3px 5px #888;
}

.subtype_code {
    font-family: "Courier New", monospace;
    margin: 0px;
    padding: 0px;
}

.operator {
    font-size: 150%;
    font-weight: bold;
}

.empty_cell {
    padding: 0px;
}

#lmenu {
    font-size: 90%;
    float: left;
    width: 10em;
    color: #3688BA;
    background-color: #f0f0f8;
    padding: 0px;
    margin: 0px;
}

#lmenu a {
    text-decoration: none;
    color: #3688BA;
    border-bottom: 2px groove white;
}

#lmenu a:link, #lmenu a:visited {
    display: block;
    border-left: 0.5em solid #d4d4f8;
    background-color: #f0f0f8;
    padding: 0.5ex 0 0.5ex 0.5em;
}

#lmenu a:hover {
    display: block;
    border-left: 0.5em solid #8585d4;
    color: #3688BA;
    background-color: #bbbbeb;
    padding: 0.5ex 0 0.5ex 0.5em;
}

#col2 {
    float: left;
    width: 75%;
    margin-left: 4px;
    margin-top: 4px;
}

#rmenu {
    position: fixed;
    bottom: 0;
    left: 0em;
    float: left;
    width: 10em;
    font-size: 80%;
    margin-left: 1em;
    border-style: solid solid none solid;
    border-color: #d8d5d1;
    border-width: 1px;
}

#rmenu ul {
    list-style-type: none;
    color: #3688BA;
    background-color: #edede5;
    padding: 0px;
    margin: 0px;
}

#rmenu li a {
    text-decoration: none;
    color: #3688BA;
    border: 2px groove white;
}

#rmenu li a:link, #rmenu li a:visited {
    border-left: 0.5em solid #d8d5d1;
    background-color: #edede5;
    display: block;
    padding: 0.5ex 0 0.5ex 0.5em;
}

#rmenu li a:hover {
    border-left: 0.5em solid #bfbbb5;
    color: #3688BA;
    display: block;
    background-color: #d8d5d1;
    padding: 0.5ex 0 0.5ex 0.5em;
}

div.calendar, div.timepicker {
    z-index: 10;
    background-color: white;
    border: 1px solid black;
}

.date_input {
    text-align: right;
}

.timepicker td {
    text-align: right;
    cursor: pointer;
}

.calendar .header, .timepicker .header {
    background-color: #f0f0f8;
}

.calendar .weekday {
    background-color: #f0f0f8;
}

.calendar .monthyear {
    font-weight: bold;
}

.calendar span {
    padding: 2px;
}

.calendar .day {
    cursor: pointer;
}

.calendar .othermonth {
    color: silver;
}

.calendar .weekend {
    background-color: #ACD6F5;
}

.calendar .today {
    border: 1px solid red;
}

.calendar .selected, .timepicker .selected {
    background-color: #FFB3BE;
}

img {
    border-style: none;
}

#gray_overlay {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    background-color: #000;
    filter: alpha(opacity=10);
    opacity: 0.1;
    z-index: 1000;
}

#popup {
    position: absolute;
    top: 50px;
    left: 150px;
    width: 400px;
    height: 135px;
    border: 1px solid black;
    z-index: 1002;
    background-color: white;
    padding: 10px;
    overflow: auto;
}

#popup_shade {
    position: absolute;
    top: 58px;
    left: 158px;
    width: 400px;
    height: 135px;
    z-index: 1001;
    background-color: #000;
    opacity: 0.5;
    filter: alpha(opacity=50);
    padding: 10px;
}

.progbar {
    vertical-align: middle;
    width: 120px;
    height: 12px;
    background-position: 120px;
    background-image: url(images/progbar_fill.png);
}

.warning {
    border: solid 1px red;
    padding: 5px;
    font-size: 11px;
}

.gpm_label {
    font-weight: bold;
    text-align: right;
}

#gpm_status_table {
    border-collapse: collapse;
}

#gpm_status_table tr {
    border: 1px solid black;
}

#gpm_meter_table {
    border-collapse: collapse;
}

#gpm_meter_table tbody tr {
    border: 1px solid black;
}

#gpm_meter_table th {
    text-align: left;
}

.inactive {
    color: red;
}

.active {
    color: green;
}

#preferences_editor .section_title {
    padding-top: 1ex;
    font-size: 120%;
    font-weight: bold;
}

#preferences_editor .name {
    font-weight: bold;
    border: none;
}

.EMonitorTrackerDiv {
    background-color: #f9f582;
    border: 1px solid black;
    -moz-box-shadow: 5px;
    -webkit-box-shadow: 5px;
    box-shadow: 3px 3px 5px #888;
    padding-left: 3px;
    padding-right: 3px;
    opacity: 0.9;
}

.EMonitorAreaInfo {
    padding: 5px;
}

.EMonitorTrackerDiv table, .EMonitorAreaInfo table {
    border-collapse: collapse;
    white-space: nowrap;
    padding: 0px;
    margin-left: 1em;
}

.EMonitorTrackerDiv .row_even, .EMonitorAreaInfo .row_even {
    background-color: rgba(0,0,0,0.05);
}

.EMonitorTrackerDiv .date_range, .EMonitorAreaInfo .date_range {
    font-size: 12px;
    font-weight: bold;
}

.EMonitorTrackerDiv td, .EMonitorAreaInfo td {
    padding: 1px;
}

.EMonitorTrackerDiv .regname, .EMonitorAreaInfo .regname {
    padding-left: 5px;
}

.EMonitorAreaInfo thead {
    font-weight: bold;
}

.EMonitorAreaInfo thead .value {
    text-align: right;
}

.EMonitorTrackerDiv .value, .EMonitorAreaInfo .value {
    width: 5em;
    text-align: right;
    padding-left: 3px;
}

.EMonitorTrackerCursor {
    width: 1px;
    background-color: black;
    opacity: 0.3;
    filter: alpha(opacity=30);
}

.EMonitorNavButton {
    position: absolute;
    margin: 1px;
    border: 1px solid black;
    background-color: white;
    z-index: 20;
    bottom: 22px;
}

.GadgetGraph {
    overflow: hidden;
}

.GadgetPopupDialog {
    background-color: white;
    border: 1px solid black;
    box-shadow: 5px 5px 5px #bbb;
    z-index: 20;
}

.GadgetPopupDialog > table > tbody > .header th {
    color: white;
    background-color: #c1172c;
}
